| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Public Member Functions | Static Public Member Functions | List of all members
Ogre::LodStrategyManager Class Reference
Core » LOD

Manager for LOD strategies. More...

`#include <OgreLodStrategyManager.h>`

Inheritance diagram for Ogre::LodStrategyManager:
[legend]

## Public Member Functions
| LodStrategyManager ()
| Default constructor. More...
| ~LodStrategyManager ()
| Destructor. More...
void | addStrategy (LodStrategy *strategy)
| Add a strategy to the manager. More...
LodStrategy * | getDefaultStrategy ()
| Get the current default strategy. More...
MapIterator< StrategyMap > | getIterator ()
| Get an iterator for all contained strategies. More...
LodStrategy * | getStrategy (const String &name)
| Get the strategy with the specified name. More...
void | removeAllStrategies ()
| Remove and delete all strategies from the manager. More...
LodStrategy * | removeStrategy (const String &name)
| Remove a strategy from the manager with a specified name. More...
void | setDefaultStrategy (LodStrategy *strategy)
| Set the default strategy. More...
void | setDefaultStrategy (const String &name)
| Set the default strategy by name. More...

## Static Public Member Functions
static LodStrategyManager & | getSingleton (void)
| Get the singleton instance. More...
static LodStrategyManager * | getSingletonPtr (void)
| Get the singleton instance. More...

## Detailed Description

Manager for LOD strategies.

## Constructor & Destructor Documentation

## ◆ LodStrategyManager()

Ogre::LodStrategyManager::LodStrategyManager | ( |  | ) |

Default constructor.

## ◆ ~LodStrategyManager()

Ogre::LodStrategyManager::~LodStrategyManager | ( |  | ) |

Destructor.

## Member Function Documentation

## ◆ addStrategy()

void Ogre::LodStrategyManager::addStrategy | ( | LodStrategy * | strategy | ) |

Add a strategy to the manager.

## ◆ removeStrategy()

LodStrategy* Ogre::LodStrategyManager::removeStrategy | ( | const String & | name | ) |

Remove a strategy from the manager with a specified name.

Remarks
  The removed strategy is returned so the user can control how it is destroyed.

## ◆ removeAllStrategies()

void Ogre::LodStrategyManager::removeAllStrategies | ( |  | ) |

Remove and delete all strategies from the manager.

Remarks
  All strategies are deleted. If finer control is required over strategy destruction, use removeStrategy.

## ◆ getStrategy()

LodStrategy* Ogre::LodStrategyManager::getStrategy | ( | const String & | name | ) |

Get the strategy with the specified name.

## ◆ setDefaultStrategy() [1/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | LodStrategy * | strategy | ) |

Set the default strategy.

## ◆ setDefaultStrategy() [2/2]

void Ogre::LodStrategyManager::setDefaultStrategy | ( | const String & | name | ) |

Set the default strategy by name.

## ◆ getDefaultStrategy()

LodStrategy* Ogre::LodStrategyManager::getDefaultStrategy | ( |  | ) |

Get the current default strategy.

## ◆ getIterator()

MapIterator<StrategyMap> Ogre::LodStrategyManager::getIterator | ( |  | ) |

Get an iterator for all contained strategies.

## ◆ getSingleton()

static LodStrategyManager& Ogre::LodStrategyManager::getSingleton | ( | void |  | ) |
| static

Get the singleton instance.

## ◆ getSingletonPtr()

static LodStrategyManager* Ogre::LodStrategyManager::getSingletonPtr | ( | void |  | ) |
| static

Get the singleton instance.

The documentation for this class was generated from the following file:

- OgreLodStrategyManager.h